From e58d59a8338bc73fa8801b690bfa870901f0b074 Mon Sep 17 00:00:00 2001
From: Samuel Holland <samuel@sholland.org>
Date: Sat, 20 Feb 2021 22:06:51 -0600
Subject: [PATCH 122/166] platform: Document CPUS_RESET_REG

This register is, unsurprisingly, present on all supported platforms.
It cannot be used for much by the firmware running on that CPU, so
document it mostly for completeness.

Signed-off-by: Samuel Holland <samuel@sholland.org>
---
 platform/a64/include/platform/cpucfg.h | 3 +++
 platform/h3/include/platform/cpucfg.h  | 3 +++
 platform/h6/include/platform/cpucfg.h  | 3 +++
 3 files changed, 9 insertions(+)

diff --git a/platform/a64/include/platform/cpucfg.h b/platform/a64/include/platform/cpucfg.h
index d0b8cd0..654831a 100644
--- a/platform/a64/include/platform/cpucfg.h
+++ b/platform/a64/include/platform/cpucfg.h
@@ -81,6 +81,9 @@
 #define RVBA_LO_REG(n)                    (DEV_CPUCFG + 0x00a0 + 0x08 * (n))
 #define RVBA_HI_REG(n)                    (DEV_CPUCFG + 0x00a4 + 0x08 * (n))
 
+#define CPUS_RESET_REG                    (DEV_R_CPUCFG + 0x0000)
+#define CPUS_RESET                        BIT(0)
+
 /* Four of these ranges exist. */
 #define CPUS_BYTE_SWAP_EN_REG             (DEV_R_CPUCFG + 0x000c)
 #define CPUS_BYTE_SWAP_EN_REG_RANGEn(n)   BIT(0 + (n))
diff --git a/platform/h3/include/platform/cpucfg.h b/platform/h3/include/platform/cpucfg.h
index dc44302..c5c969e 100644
--- a/platform/h3/include/platform/cpucfg.h
+++ b/platform/h3/include/platform/cpucfg.h
@@ -9,6 +9,9 @@
 #include <util.h>
 #include <platform/devices.h>
 
+#define CPUS_RESET_REG                   (DEV_R_CPUCFG + 0x0000)
+#define CPUS_RESET                       BIT(0)
+
 /* Four of these ranges exist. */
 #define CPUS_BYTE_SWAP_EN_REG            (DEV_R_CPUCFG + 0x000c)
 #define CPUS_BYTE_SWAP_EN_REG_RANGEn(n)  BIT(0 + (n))
diff --git a/platform/h6/include/platform/cpucfg.h b/platform/h6/include/platform/cpucfg.h
index 591ec5f..ee2b007 100644
--- a/platform/h6/include/platform/cpucfg.h
+++ b/platform/h6/include/platform/cpucfg.h
@@ -84,6 +84,9 @@
 #define DBG_REG1_DBGNOPWRDWN(n)           BIT(4 + (n))
 #define DBG_REG1_DBGPWRUPREQ(n)           BIT(0 + (n))
 
+#define CPUS_RESET_REG                    (DEV_R_CPUCFG + 0x0000)
+#define CPUS_RESET                        BIT(0)
+
 /* Four of these ranges exist. */
 #define CPUS_BYTE_SWAP_EN_REG             (DEV_R_CPUCFG + 0x000c)
 #define CPUS_BYTE_SWAP_EN_REG_RANGEn(n)   BIT(0 + (n))
-- 
2.30.2

